/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\TheBlackholeKryss.cs
Lines of code: 42
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class TheBlackholeKryss : Kryss
	{
		public override int ArtifactRarity{ get{ return 15; } }
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public TheBlackholeKryss()
		{
			Name = "The Blackhole";
			Hue = 1175;
			WeaponAttributes.HitLeechHits = 70 + (Utility.Random(4)*10);
			WeaponAttributes.HitLeechMana = 70 + (Utility.Random(4)*10);
			WeaponAttributes.HitLeechStam =70 + (Utility.Random(4)*10);
			WeaponAttributes.HitLightning = 10;
			Attributes.WeaponDamage = 35;
		}

		public TheBlackholeKryss( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();	
		}
	}
}